<?php
/**
 * Tribalogic Web Directory & Booking Platform
 *
 * This file is discributed without any warranty whatsoever.
 * It should not be redistributed without the express written
 * consent of Tribalogic Ltd.
 *
 * http://www.tribalogic.net/
 *
 * @copyright Copyright (c) 2000-2013 Tribalogic Ltd
 */

/**
 * This file is meant as an example only. It should be sufficient
 * to see how to include this into existing code.
 */
// Include our main search code.
require_once(dirname(__FILE__).'/tribalogic.php');

/* ------------------------------------------------------------------ */
// Set the Syndicate ID. This should be changed.
$syndicate = 582;

/* ------------------------------------------------------------------ */
// Set the dates
$start = '07/09/2013';
$end = '14/09/2013';

/* ------------------------------------------------------------------ */
// Do a search with arrival and departure dates
$results = tlSearch::findEntries($syndicate, $start, $end, 4);


?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Example - Tribalogic Availability Search</title>
  
  <link href="http://twitter.github.io/bootstrap/assets/css/bootstrap.css" rel="stylesheet">
  
  <!--[if lt IE 9]>
  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
</head>
<body>
  <div class="container"> 
    <div class="page-header">
      <h1>
        Example
        <br />
        <small>availability search: returns available properties with prices</small>
      </h1>
    </div>
    <h2>
      Date search
      <small>from <?php echo $start; ?> to <?php echo $end; ?></small>
    </h2>
    <?php if (empty($results)) : ?>
      <p class="lead"><?php echo "No results."; ?></p>
    <?php else : ?>
      <table class="table table-striped table-hover">
        <!-- Simply display the results-->
        <thead>
          <tr>
            <th>ID</th>
            <th>Property</th>
            <th>Price</th>
            <th>&nbsp;</th>
          </tr>
        </thead>
        <tbody>
          <?php foreach ($results as $id => $data) : ?>
            <tr>
              <td><span class="label"><?php echo $id; ?></span></td>
              <td><?php echo $data['name']; ?></td>
              <td><?php echo $data['price']; ?></td>
              <td><a class="btn btn-primary" href="https://secure.tribalogic.net/book/<?php echo $id; ?>/<?php echo $syndicate; ?>">Book now</a></td>
            </tr>
          <?php endforeach; ?>
        </tbody>
      </table>
    <?php endif; ?>
  </div>
</body>
</html>